# The version object

A version object is returned as part of the response body of each successful list or retrieve API call to the `/api/versions` endpoint.

## Fields

| Field                             | Type       | Description                                                                                                                                                                                         |
| --------------------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`type`**                        | `string`   | `versions`                                                                                                                                                                                          |
| **`id`**                          | `string`   | The version unique identifier.                                                                                                                                                                      |
| links.**`self`**                  | `string`   | The version endpoint URL.                                                                                                                                                                           |
| attributes.**`resource_type`**    | `string`   | The type of the versioned resource.                                                                                                                                                                 |
| attributes.**`resource_id`**      | `string`   | The versioned resource ID.                                                                                                                                                                          |
| attributes.**`event`**            | `string`   | The event which generates the version.                                                                                                                                                              |
| attributes.**`ip_address`**       | `string`   | The request remote IP.                                                                                                                                                                              |
| attributes.**`user_agent`**       | `string`   | The request User Agent.                                                                                                                                                                             |
| attributes.**`uuid`**             | `string`   | The request ID.                                                                                                                                                                                     |
| attributes.**`changes`**          | `object`   | The object changes payload.                                                                                                                                                                         |
| attributes.**`who`**              | `object`   | Information about who triggered the change, only showed when it's from a JWT token.                                                                                                                 |
| attributes.**`created_at`**       | `datetime` | Time at which the resource was created.                                                                                                                                                             |
| attributes.**`updated_at`**       | `datetime` | Time at which the resource was last updated.                                                                                                                                                        |
| attributes.**`reference`**        | `string`   | A string that you can use to add any external identifier to the resource. This can be useful for integrating the resource to an external system, like an ERP, a marketing tool, a CRM, or whatever. |
| attributes.**`reference_origin`** | `string`   | Any identifier of the third party system that defines the reference code.                                                                                                                           |
| attributes.**`metadata`**         | `object`   | Set of key-value pairs that you can attach to the resource. This can be useful for storing additional information about the resource in a structured format.                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/provisioning/api-reference/versions/object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
